Subject: Re: [Dime] Issue #17 on RFC4005bis

From: Glen Zorn <[email-masked]>
Date: Mon, 30 May 2011 13:42:47 +0700

On 4/30/2011 4:58 PM, Glen Zorn wrote:

> The ticket says:
> 
>> Section 4.1.1. QoSFilterRule
>>
>> "The QosFilterRule? format is derived from the OctetString? AVP Base >
> Format. It uses the ASCII charset."
>>
>> Mark Jones> RFC5777 defines Diameter AVPs that represent QoS and IP
>> filter rules and even includes a NASREQ example. I'd like to see the >
> ASCII-based variants deprecated but even if that idea doesn't fly,
> 
> This is up to the WG, I think.

And up to the chairs to ask the question...

> 
>> I think it would be useful to mention RFC5777 here as offering an
>> alternative.
> 
> This is fine with me; care to contribute some text?

RSVP.

> 
> 
> 
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime

---

From: jouni korhonen <[email-masked]>
Date: Tue, 31 May 2011 00:45:04 +0300

Hello,

> This is up to the WG, I think.

It seems there has been overwhelming amount of opinions here.. ;) Seriously, what does the WG think if we go forward and use RFC5777 QoS material instead of RFC4005 old ipfw based ascii rules? One more thing to remind is that RFC3588bis still uses old ascii based filter rules.. and I do not see that changing for the next revision.

> This is fine with me; care to contribute some text?

Just add a sentence saying there is also a binary format for filter rules available and point to RFC5777 ?

- Jouni (as a co-chair)

> <gwz.vcf>_______________________________________________
> DiME mailing list
> [email-masked]

---

From: Glen Zorn <[email-masked]>
Date: Tue, 31 May 2011 13:53:02 +0700

> It seems there has been overwhelming amount of opinions here.. ;) Seriously, what does the WG think if we go forward and use RFC5777 QoS material instead of RFC4005 old ipfw based ascii rules? One…

For the record, I favor Mark's idea; I've never liked the QosFilterRule
format.

...